
Redmine - Feature #886

Copy A Project

2008-03-18 15:50 - Muneeb Shaukat

Status: Closed Start date: 2008-03-18

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

There should be a facility to copy a project with another name. E.g if i have a project name pilot and have defined the workflow users

and settings for it . It would be helpful to copy it with another name and then customize the copied project.

Related issues:

Related to Redmine - Feature #1125: Template projects - Or copy as new feature Closed 2008-04-28

Related to Redmine - Feature #3367: Copy versions/custom fields/wiki when cop... Closed 2009-05-15

Related to Redmine - Defect #3975: When doing a Copy Project the group does n... Closed 2009-10-05

Related to Redmine - Patch #3877: Copy issue status when issue is copied Closed 2009-09-16

Related to Redmine - Defect #4045: Copy project don't copy custom field enabl... Closed 2009-10-17

Associated revisions

Revision 2704 - 2009-05-03 23:25 - Eric Davis

Added the ability to copy a project in the Project Administration panel.

Added Copy project button.

Added Project#copy_from to duplicate a project to be modified and saved by the user

Added a ProjectsController#copy based off the add method

Used Project#copy_from to create a duplicate project in memory

Implemented Project#copy to copy data for a project from another and save it.

Members

Project level queries

Project custom fields

Added a plugin hook for Project#copy.   

#1125  #1556  #886  #309

History

#1 - 2008-03-19 03:21 - John Z

Yes, this would be very very helpful. Please implement.

#2 - 2009-05-03 23:20 - Eric Davis

- Category set to Projects

- Status changed from New to Resolved

- Assignee set to Eric Davis

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

I've added the ability to copy a project in the Project Administration panel.  r2704

#3 - 2009-06-16 16:21 - Eddie Ringle

Eric Davis wrote:

I've added the ability to copy a project in the Project Administration panel.  r2704
 Just tried this out, Issues were copied over successfully. However, documents were not. Shouldn't the copied project also have the original project's

documents as well?

#4 - 2009-07-10 05:12 - Eric Davis

- Status changed from Resolved to Closed

Eddie Ringle wrote:

Just tried this out, Issues were copied over successfully. However, documents were not. Shouldn't the copied project also have the original

project's documents as well?

 Please open a new Feature request for coping Documents.  You can reference this issue (#886) and another issue if you'd like (#3367).

Side Note: This issue should have been Closed instead of Resolved.

#5 - 2010-11-01 20:48 - Ian Epperson

Eric Davis wrote:

Eddie Ringle wrote:

Just tried this out, Issues were copied over successfully. However, documents were not. Shouldn't the copied project also have the original

project's documents as well?

 Please open a new Feature request for coping Documents.  You can reference this issue (#886) and another issue if you'd like (#3367).

 Looks like it was created as #5664.  I'd like to see this feature as well for the same reasons noted in the other job.
